curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"total_urls": 123,
"completed_urls": 123,
"parser": "<string>",
"country": "<string>",
"metadata": {
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
},
"webhook": "<string>",
"credits_consumed": 123,
"cost_usd": 123
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "Niet geautoriseerd",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "Niet Gevonden",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "Interne Serverfout",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}Batchinformatie
Haalt de status- en voortgangsinformatie van een batch op. Om de inhoud van een batch op te halen, zie hier
metadata parameter om sleutel-waardeparen met je batch op te slaan. Zie Metadata voor details.Autorisaties
Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.
Padparameters
De ID van de batch waarvoor je informatie wilt ophalen.
Respons
Succesvolle reactie met batchinformatie.
Batch ID
Het soort object. "batch" voor dit endpoint.
in_progress of completed
Gemaakt epoch
Aantal URLs in de batch
Aantal voltooide URLs
Set van sleutel-waarde paren voor het opslaan van aanvullende informatie over een object. Volgt Stripe's aanpak met validatieregels: max 50 sleutels, sleutel max 40 tekens (geen vierkante haken), waarde max 500 tekens, alle waarden opgeslagen als strings.
Show child attributes
Show child attributes
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
Webhook URL om een voltooiingsmelding te ontvangen
Aantal credits verbruikt door dit verzoek. Wordt ingevuld nadat de uitvoering is voltooid. Credits zijn de bron van waarheid voor facturering.
Geschatte kosten in USD voor dit verzoek. Wordt ingevuld nadat de uitvoering is voltooid. Berekend op basis van verbruikte credits en je abonnementsprijs — 99% nauwkeurig, maar credits_consumed is de gezaghebbende waarde.
Was deze pagina nuttig?